#!/bin/sh

umask 022

rm -f /usr/X11R6/lib/libX11.so.6.0.1 /usr/i486-linuxaout/lib/libX11.so.6.0.1
install -c -m 755 libX11.so.6.0 /usr/X11R6/lib/libX11.so.6.0.1
install -c -m 755 libX11.so.6.0.aout /usr/i486-linuxaout/lib/libX11.so.6.0.1
ln -sf libX11.so.6 /usr/X11R6/lib/libX11.so
/sbin/ldconfig

install -c -m 644 Compose /usr/X11R6/lib/X11/locale/iso8859-2/Compose

if grep -q cz_CZ.ISO8859-2 /usr/X11R6/lib/X11/locale/compose.dir
then
	:
else
	echo "iso8859-2/Compose	cz_CZ.ISO8859-2" >>/usr/X11R6/lib/X11/locale/compose.dir
fi

test -d /usr/X11R6/lib/X11/xmodmaps || \
	( rm -f /usr/X11R6/lib/X11/xmodmaps;  mkdir /usr/X11R6/lib/X11/xmodmaps )

install -c -m 644 Xmodmap.* /usr/X11R6/lib/X11/xmodmaps/

# Toto je dirty hack -- zatim nevim, jak prinutit nektere
# aplikace, aby cetli Compose tabulku odjinud nez z iso8859-1/Compose.
# Pan Petr Lampa tvrdi, ze staci nastavit LANG na cz_CZ.ISO8859-2,
# ale to mi nepomaha.

ln -sf ../iso8859-2/Compose /usr/X11R6/lib/X11/locale/iso8859-1/Compose

cat <<EOF
Ceskou/slovenskou klavesnici spustite tak, ze provedete prikaz

	xmodmap /usr/X11R6/lib/X11/xmodmaps/Xmodmap.czus.qwerty

Tento prikaz zapiste budto do sveho souboru ~/.xsession
nebo ~/.xinitrc, pripadne do systemoveho /etc/X11/xdm/Xsession
nebo /etc/X11/xinit/xinitrc.

Nebo muzete prepinat klavesnice pomoci klaves F11/F12 pridanim techto radku
do ~/.fvwmrc nebo /etc/X11/fvwm/system.fvwmrc:

Key F11 A A exec "" xmodmap /usr/X11R6/lib/X11/xmodmaps/Xmodmap.czus.qwerty
Key F12 A A exec "" xmodmap /usr/X11R6/lib/X11/xmodmaps/Xmodmap.uscz.qwerty

EOF

exit 0

