#!/bin/bash

umask 022

DESTDIR=/usr/X11R6/lib/X11/fonts/iso-8859-2

test -d $DESTDIR || mkdir $DESTDIR

cp X11fonts-kas/*.pcf.Z ${DESTDIR}

for i in X11fonts-kas/*.bdf xfonts/*.bdf lst-L2/*.bdf
do
	n=`basename $i`
	bdftopcf <$i | compress >${DESTDIR}/${n%bdf}pcf.Z
done

mkfontdir ${DESTDIR}

X11fonts-kas/addfontpath.sh "${DESTDIR}/"

exit 0

